Subject: Re: [Sip] Draft defining the Accept-Disposition header field

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 01 Mar 2005 08:36:33 +0200

Hi Eric,

yes, the draft should reference RFC3459 instead of RFC3204. I will fix that.

In any case, the problem remains the same. There is a need for the UAS 
to indicate what went wrong with the message (i.e., the disposition type 
of the body part was not supported).

Thanks,

Gonzalo

Eric Burger wrote:
> Could you leverage RFC3459?
> 
> 
>>-----Original Message-----
>>From: Gonzalo Camarillo [mailto:[email-masked]]
>>Sent: Wednesday, January 12, 2005 7:36 AM
>>To: sip
>>Subject: [Sip] Draft defining the Accept-Disposition header field
>>
>>
>>Folks,
>>
>>I have submitted a draft that defines the Accept-Disposition header 
>>field. The usage of this header field would be similar to the 
>>usage of 
>>Accept, Accept-Encoding, or Accept-Language, but it would indicate 
>>support for disposition types.
>>
>>
> 
> http://www.ietf.org/internet-drafts/draft-camarillo-sip-accept-disposition-0
> 0.txt
> 
> Your comments are welcome.
> 
> Thanks,
> 
> Gonzalo

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 02 Mar 2005 12:38:20 -0500

Eric Burger wrote:
>>From: Cullen Jennings [mailto:[email-masked]]
>>To: [email-masked]
[snip]
>>>The same thing with uri-list bodies. A conference server may support
>>>uri-list bodies for some reason, but may not support the
>>>'recipient-list' disposition type. The disposition type is 
> >>what tells me
>>>that the conference server supports (or does not support) 
> >>the feature I
>>>want to use. (So far there are two disposition types associated with
>>>uri-list bodies and may be more in the future.)
>>
>>I guess I am wondering if using the MIME dispositions is 
>>really the right
>>way to basically tell the UA what you want it to do with a 
>>given SIP command
>>- what does recipient-list mean in the context of email or 
>>other users of MIME?
> 
> [snip]
> It doesn't have to make any sense whatsoever (SIP vs. E-Mail).  What is
> important is the disposition is well defined for the given media type.

The disposition shouldn't be saying what to do with a *command* 
(message). It should be saying what to do with (or perhaps 'in what 
context to intepret') a particular body part, while processing a 
particular command/message.

> I would offer that it might be better to have different names than "inline"
> or "render", so it is clear we mean what we mean.

I agree. Both are problematic, in that they seem to be meaningful only 
in contexts that relate to *display* of content. They makes sense in 
email, and maybe for MESSAGE and in MSRP as well. But not so much in 
INVITE, SUBSCRIBE, or NOTIFY. Render presents added challenge because it 
is the *default* disposition for all sip bodies with content type other 
than sdp. Attempts to clean this up may suffer problems of backward 
compatibility.

	Paul